---
title: Touch.screenX
slug: Web/API/Touch/screenX
tags:
  - API
  - DOM
  - Mobile
  - Property
  - touch
---
<p>{{ APIRef("Touch Events") }}</p>

<h2 id="Summary">Summary</h2>

<p>Returns the X coordinate of the touch point relative to the screen, not including any scroll offset.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">var <em>x</em> = <em>touchItem</em>.screenX;
</pre>

<h3 id="Return_Value">Return value</h3>

<dl>
 <dt><code>x</code></dt>
 <dd>The X coordinate of the touch point relative to the screen, not including any scroll offset.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example illustrates how to access the {{domxref("Touch")}} object's {{domxref("Touch.screenX")}} and {{domxref("Touch.screenY")}} properties. The {{domxref("Touch.screenX")}} property is the horizontal (x) coordinate of a touch point relative to the screen in CSS pixels. The {{domxref("Touch.screenY")}} property is the vertical coordinate of a touch point relative to the screen in CSS pixels.</p>

<p>In following simple code snippet, we assume the user initiates multiple touch contacts on an element with an id of <code>source</code> and then releases contacts with the surface. When the {{event("touchstart")}} event handler is invoked, each touch point's {{domxref("Touch.screenX")}} and {{domxref("Touch.screenY")}} coordinates are accessed.</p>

<pre class="brush: js">// Register a touchstart listeners for the 'source' element
var src = document.getElementById("source");

src.addEventListener('touchstart', function(e) {
  // Iterate through the touch points and log each screenX/Y coordinate.
  // The unit of each coordinate is CSS pixels.
  var i;
  for (i=0; i &lt; e.touches.length; i++) {
    console.log("touchpoint[" + i + "].screenX = " + e.touches[i].screenX);
    console.log("touchpoint[" + i + "].screenY = " + e.touches[i].screenY);
  }
}, false);

</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touch-screenx')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events', '#widl-Touch-screenX')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Touch.screenX")}}</p>
